/**
 * 在package.json中定义的H_NODE_ENV
 * 在本地运行该环境为未定义,设置初始baseUrl
 * 只有在打包环境下才会有H_NODE_ENV
 */
const node_dev = process.env.H_NODE_ENV;
let baseUrl = 'https://wx.hw.hongweisoft.com/parking', // 默认为普定测试环境
  wxAppid = 'wx6e9cdf7a0ee8a51b', // 默认为达泽公众号appid
  projectFlag = 'puding';

if (node_dev) {
  (baseUrl = process.env.H_BASE_URL), (wxAppid = process.env.H_WXAPPID), (projectFlag = process.env.H_PROJECT);
}
export const config = {
  wxAppid,
  baseUrl,
  projectFlag,
  onlyWxLogin: [
    'pages/parkingLock/parkingLock',
    'pages/wechatLogin/wechatLogin',
    'pages/VehicleInquiry/VehicleInquiry',
    'pages/OnsitePayment/OnsitePayment',
    'pages/parkadvance/parkadvance',
    'pages/parkexport/parkexport',
    'pages/parkroadgate/parkroadgate',
    'pages/roadGateSystem/roadGateSystem',
    'pages/parkentrace/parkentrace',
    'pages/geomagnetismLock/geomagnetismLock',
    'pages/wechatLogin/wechatLogin',
    'pages/goldPlan/goldPlan',
		'pages/center/phoneLogin/phoneLogin'
  ] // 只需要微信登录的页面路径
};
